Public Class clsSQLinto
    Public Shared Function CheckRequest(ByVal strRequest As String) As Boolean
        If strRequest Is Nothing OrElse strRequest.Length = 0 Then Return True
        Dim strInto() As String = {":", ";", ">", "<", "--", "sp_", "xp_", "\", "dir", "cmd", "^", "(", ")", "+", "$", "'", "copy", "format", "and", "exec", "insert", "select", "delete", "update", "count", "*", "%", "chr", "mid", "master", "truncate", "char", "declare"}
        Dim Findstr As String = (From s In strInto _
                                 Where strRequest.ToLower.Contains(s) _
                                 Select s).FirstOrDefault
        If Findstr IsNot Nothing AndAlso Findstr.Length > 0 Then
            Return False
        Else
            Return True
        End If
    End Function
End Class
